ukui-panel (4.0.0.0-ok0.20) yangtze; urgency=medium

  * issue:I987X1 任务栏上已打开软件的右键菜单会自动关闭
  * 需求：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Thu, 14 Mar 2024 10:11:09 +0800

ukui-panel (4.0.0.0-ok0.19) yangtze; urgency=medium

  * issues:I8RZ77 右键任务栏时间和日期，弹窗显示异常 
  * 需求号：无
  * 其他改动说明：处理2024年宜忌冲突问题
  * 其他改动影响域：无

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Wed, 31 Jan 2024 15:58:14 +0800

ukui-panel (4.0.0.0-ok0.18) yangtze; urgency=medium

  * BUG: 209437 【日历】日历今天的宜忌里边都有“入宅”
  * 任务号：无
  * 需求号：无
  * 其他改动说明：处理2024年宜忌冲突问题
  * 其他改动影响域：无

 -- jiawei <jiawei@kylinos.cn>  Mon, 29 Jan 2024 17:17:30 +0800

ukui-panel (4.0.0.0-ok0.17) yangtze; urgency=medium

  * fix(plugin):切换到平板模式再切回来快速启动栏有遮挡 (#I7I27A)
  * fix(panel):锁定任务栏后还能拖拽任务的位置(#I81CX1)

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Fri, 12 Jan 2024 16:38:01 +0800

ukui-panel (4.0.0.0-ok0.16) yangtze; urgency=medium

  * fix(button):解决微信打开链接后按钮和预览图显示异常问题（#I8PXQD)
  * fix(预览图)：适配主题圆角（#I7WEJ2）
  * fix(button):按钮三态适配主题（#I7WDZO)
  * fix(button):修复任务栏图标间距之间参差不齐(#I7GTC6， #I8AYPC)
  * fix(右键菜单)：无任务栏设置功能（#I8IGUF）
  * fix(thumbnail):根据硬件环境判断是否使用动态预览
  * fix(button):拖拽和初始化时更新icongeometry

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Wed, 03 Jan 2024 15:23:54 +0800

ukui-panel (4.0.0.0-ok0.15) yangtze; urgency=medium

  * 增加libukcc-dev依赖

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Wed, 29 Nov 2023 15:58:22 +0800

ukui-panel (4.0.0.0-ok0.14) yangtze; urgency=medium

  * 同步主线重构后的任务栏版本

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Wed, 29 Nov 2023 14:41:08 +0800

ukui-panel (4.0.0.0-ok0.13) yangtze; urgency=medium

  * fix(preview): remove preview on wayland
  * fix(任务栏位置):解决切换分辨率导致任务栏消失问题
  * fix(taskbar): fix crash when close window by group

 -- Mouse Zhang <mousezhang@openkylin.top>  Thu, 24 Aug 2023 10:30:04 +0800

ukui-panel (4.0.0.0-ok0.12) yangtze; urgency=medium

  * fix(日历按钮):解决日历右键托盘位置异常并且有标题栏问题(issue#I7DBUM) 

 -- zhaikangning <zhaikangning@kylinos.cn>  Thu, 03 Aug 2023 18:09:54 +0800

ukui-panel (4.0.0.0-ok0.11) yangtze; urgency=medium

  * 回退动态预览相关功能，彻底改为静态预览

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Thu, 27 Jul 2023 15:06:16 +0800

ukui-panel (4.0.0.0-ok0.10) yangtze; urgency=medium

  * fix : I7GYN5 【wayland】【任务栏】无法调整任务栏位置为"上" 

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Tue, 04 Jul 2023 13:36:23 +0800

ukui-panel (4.0.0.0-ok0.9) yangtze; urgency=medium

  * X环境下预览图退回静态预览

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Tue, 27 Jun 2023 17:04:44 +0800

ukui-panel (4.0.0.0-ok0.8) yangtze; urgency=medium

  * 解决0.7编译失败问题

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Wed, 07 Jun 2023 18:16:03 +0800

ukui-panel (4.0.0.0-ok0.7) yangtze; urgency=medium

  * fix: #I72LCE:【wayland】【任务栏】打开任意应用，鼠标悬浮在任务栏图标上，无缩略图

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Tue, 06 Jun 2023 18:12:15 +0800

ukui-panel (4.0.0.0-ok0.6) yangtze; urgency=medium

  * close: #I77O3F, 修复切换平板模式，仍存在pc模式任务栏.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 04 Jun 2023 18:38:02 +0800

ukui-panel (4.0.0.0-ok0.5) yangtze; urgency=medium

  * BUG: I69TB2 修改分辨率任务栏位置显示的不对
  * 需求：无
  * 其他改动：无

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Fri, 05 May 2023 18:35:39 +0800

ukui-panel (4.0.0.0-ok0.3) yangtze; urgency=medium

  * BUG：无
  * 需求：无
  * 其他改动：修复悬浮预览窗偶先崩溃问题

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Mon, 17 Apr 2023 17:25:18 +0800

ukui-panel (4.0.0.0-ok0.2) yangtze; urgency=medium

  * BUG：无
  * 需求：无
  * 其他改动：修复升级任务栏版本后配置文件没有被安装问题

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Sat, 15 Apr 2023 14:19:24 +0800

ukui-panel (4.0.0.0-ok0.1) yangtze; urgency=medium

  * 解决编译依赖问题

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Thu, 13 Apr 2023 17:47:18 +0800

ukui-panel (4.0.0.0-ok0.0build1) yangtze; urgency=medium

  * 版本号升级到4.0.0.0

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Thu, 13 Apr 2023 16:28:49 +0800

ukui-panel (3.14.0.1-ok3.4) yangtze; urgency=medium

  * BUG:#130885 触摸长安容易同时出现日历和右键菜单
    需求：无
    其他改动：
    其他改动说明：

 -- zhangyinjie <zhangyinjie@kylinos.cn>  Mon, 16 Jan 2023 16:53:40 +0800

ukui-panel (3.14.0.1-ok3.3) yangtze; urgency=medium

  * fix position error bug

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Fri, 06 Jan 2023 11:34:29 +0800

ukui-panel (3.14.0.1-ok3.2) yangtze; urgency=medium

  * fix two screens bug
  * showdesktop button use SDK interface instead

 -- kylin <kylin@klyin>  Thu, 05 Jan 2023 10:34:09 +0800

ukui-panel (3.14.0.1-ok3.1) yangtze; urgency=medium

  * TASK #I67H4F : 新增2023年节假日信息

 -- Xin Li <lixin@kylinos.cn>  Tue, 03 Jan 2023 17:06:27 +0800

ukui-panel (3.14.0.1-ok3) yangtze; urgency=medium

  * 任务栏双屏适配，改用KScreen监听屏幕的改变信号

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Thu, 15 Dec 2022 17:06:27 +0800


ukui-panel (3.14.0.1-ok2~0822) yangtze; urgency=medium
  
  * 更新debian/control文件
 -- buxiaoqing <buxiaoqing@kylinos.cn>  Wed, 03 Aug 2022 20:38:48 +0800


ukui-panel (3.14.0.1-ok2~0805) yangtze; urgency=medium

  * BUG:132829 使用过程中任务栏偏移到屏幕中间
  * BUG:130980 125404 任务栏无法调整位置为上
    其他改动：增加多任务试图需要屏蔽的中文名的窗口
    其他改动影响域：对任务栏无影响，多任务视图多屏蔽了两个窗口

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Wed, 03 Aug 2022 20:38:48 +0800

ukui-panel (3.14.0.1-ok2~0726.1) yangtze; urgency=medium

  * BUG:无
    需求：无
    其他改动：修改版本号,删除ukui-flash-disk代码
    其他改动说明：对代码无影响

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Wed, 20 Jul 2022 17:55:39 +0800

ukui-panel (3.14.0.1-ok2~0720.4) yangtze; urgency=medium

ukui-panel (3.14.0.1-ok2~0720.2) yangtze; urgency=medium

  * BUG #130312 切换平板再切回PC，已经打开的应用窗口消失
  * 其他改动：taskbar刷新逻辑优化；屏蔽窗口的逻辑优化

 -- buxiaoqing <buxiaoqing@kylinos.cn>  Wed, 20 Jul 2022 17:55:39 +0800

ukui-panel (3.14.0.1-ok2~0720.1) yangtze; urgency=medium

  * Bug #130143 : wayland 下日历窗口可以挪动
  * BUG #125354：修复多次点击侧边栏，侧边栏显示偏离正确位置过多
  * BUG #128674: 插入移动U盘或硬盘或光驱后，未在右下角显示设备信息
  * BUG #130322 【任务栏】已打开应用在任务栏的图标显示异常
  * BUG #127640 【任务栏】右键任务栏应用图标，关闭界面弹出位置错误
  * BUG #127646 【任务栏】右键任务栏图标应用，选择关闭，关不掉应用，所有应用均有此情况
  * BUG #126857 【wayland】【任务栏】右键点击任务栏任意图标显示的右键菜单均显示在任务栏上（右键菜单应该显示在任务栏上方）
  * BUG #127691 【搜狗输入法】右键点击任务栏输入法窗口后，弹出的菜单显示位置不在任务栏
  * BUG #130312 切换平板再切回PC，已经打开的应用图标消失
  * 需求：无
  * 其他改动：新增x下跳过任务栏的属性;新增黑名单屏蔽窗口功能；适配跳过任务栏接口；逻辑优化
  * 影响域：无

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 19 Jul 2022 15:47:57 +0800

ukui-panel (3.14.0.1-ok2~0715) yangtze; urgency=medium
  * 修改为quilt格式
  * 通过AppManager判断是否具有平板特性
  * wayland适配desktop文件修改
  * 修复wayland下日历位置错误问题
  * 修复任务栏日期右键菜单位置错误问题
  * 使用图标代替窗口预览
  * 任务栏隐藏不使用动画，直接设置位置
  * bug修复
    - #125312 托盘图标颜色未反白
    - #126789 托盘日历同步商业版代码，修复显示错误问题
    - #127655 【托盘】选择隐藏任务栏后任务栏还在
    - #129638 【任务栏】任务栏右键菜单"关于麒麟"需要改为"关于开放麒麟"

 -- Xie Wei <xiewei@kylinos.cn>  Fri, 20 May 2022 16:38:45 +0800
